//
//  View.m
//  OATargetSelection
//
//  Created by Timothy J. Wood on 12/8/09.
//  Copyright 2009 The Omni Group. All rights reserved.
//

#import "View.h"


@implementation View

@synthesize delegate;

- (BOOL)acceptsFirstResponder;
{
    return YES;
}

- (BOOL)becomeFirstResponder;
{
    NSLog(@"become?");
    if ([super becomeFirstResponder]) {
        NSLog(@"become (delegate = %@)!", delegate);
        return YES;
    }
    NSLog(@"... sad.");
    return NO;
}

- (BOOL)tryToPerform:(SEL)anAction with:(id)anObject;
{
    // we have a delegate, but AppKit doesn't look at it.  Also, when invoking the action, this method isn't invoked, so this isn't really a subclassing point.
    
    NSLog(@"view try %@", NSStringFromSelector(anAction));
    return [super tryToPerform:anAction with:anObject];
}

- (void)drawRect:(NSRect)rect;
{
    [[NSColor blackColor] set];
    NSRectFill([self bounds]);
}

@end
